org.springframework.batch.sample.domain.order.internal.mapper

## Class CustomerFieldSetMapper

- java.lang.Object
- - org.springframework.batch.sample.domain.order.internal.mapper.CustomerFieldSetMapper

- All Implemented Interfaces:
    FieldSetMapper<Customer>

      public class CustomerFieldSetMapper
      extends java.lang.Object
      implements FieldSetMapper<Customer>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPANY_NAME_COLUMN`
    `static java.lang.String` | `FIRST_NAME_COLUMN`
    `static java.lang.String` | `LAST_NAME_COLUMN`
    `static java.lang.String` | `LINE_ID_COLUMN`
    `static java.lang.String` | `MIDDLE_NAME_COLUMN`
    `static java.lang.String` | `REG_ID_COLUMN`
    `static java.lang.String` | `REGISTERED_COLUMN`
    `static java.lang.String` | `TRUE_SYMBOL`
    `static java.lang.String` | `VIP_COLUMN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomerFieldSetMapper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Customer` | `mapFieldSet(FieldSet fieldSet)` Method used to map data obtained from a `FieldSet` into an object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LINE_ID_COLUMN

          public static final java.lang.String LINE_ID_COLUMN

      See Also:
        Constant Field Values

    - #### COMPANY_NAME_COLUMN

          public static final java.lang.String COMPANY_NAME_COLUMN

      See Also:
        Constant Field Values

    - #### LAST_NAME_COLUMN

          public static final java.lang.String LAST_NAME_COLUMN

      See Also:
        Constant Field Values

    - #### FIRST_NAME_COLUMN

          public static final java.lang.String FIRST_NAME_COLUMN

      See Also:
        Constant Field Values

    - #### MIDDLE_NAME_COLUMN

          public static final java.lang.String MIDDLE_NAME_COLUMN

      See Also:
        Constant Field Values

    - #### TRUE_SYMBOL

          public static final java.lang.String TRUE_SYMBOL

      See Also:
        Constant Field Values

    - #### REGISTERED_COLUMN

          public static final java.lang.String REGISTERED_COLUMN

      See Also:
        Constant Field Values

    - #### REG_ID_COLUMN

          public static final java.lang.String REG_ID_COLUMN

      See Also:
        Constant Field Values

    - #### VIP_COLUMN

          public static final java.lang.String VIP_COLUMN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CustomerFieldSetMapper

          public CustomerFieldSetMapper()

  - ### Method Detail

    - #### mapFieldSet

          public Customer mapFieldSet(FieldSet fieldSet)

      Description copied from interface: `FieldSetMapper`
      Method used to map data obtained from a `FieldSet` into an object.
      Specified by:
        `mapFieldSet` in interface `FieldSetMapper<Customer>`
      Parameters:
        `fieldSet` - the `FieldSet` to map